<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright © 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
|----------------------------------------------------+
| Infusion: Slider Panel
| Filename: infusion.php
| Author: GRIDARK
| Web:	http://www.rusfusion.ru
|	http://8gamers.ru/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("SPL") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";

if (file_exists(INFUSIONS."sliders/locale/".$settings['locale'].".php")) {
	require_once INFUSIONS."sliders/locale/".$settings['locale'].".php";
} else {
	require_once INFUSIONS."sliders/locale/English.php";
}

// Print errors
if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 1) {
		$message = $locale['spl_err_001'];
	} elseif ($_GET['error'] == 2) {
		$message = $locale['spl_err_002'];
	}

	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

// Add slider
if(isset($_POST['slider'])) {
	$image = $_FILES['filename'];
	$image_name = time();
	$image_ext = strtolower(strrchr($image['name'],"."));

	if ($image_ext == ".gif" || $image_ext == ".jpg" || $image_ext == ".png") {
		$filetype = true;
	} else { $filetype = false; }



	if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $image_name)) {
		$error = 1;
	} elseif (!$filetype) {
		$error = 2;
	} else {
		move_uploaded_file($_FILES['filename']['tmp_name'], DOWNLOADS."spl_".$image_name.$image_ext);
		if (function_exists("chmod")) { chmod(DOWNLOADS."spl_".$image_name.$image_ext, 0644); }
	}



	if(!isset($_POST['title']) || !isset($_POST['text']) || !isset($_POST['link'])) {
		$error = 3;
	}



	if(!isset($error)) {
		$_POST['title'] = addslash($_POST['title']);
		$_POST['text'] = addslash($_POST['text']);
	
		$result = dbquery("INSERT INTO ".DB_PREFIX."sliders (slide_id, slide_image, slide_link, slide_title, slide_text, slide_date) VALUES ('', 'spl_".$image_name.$image_ext."', '".$_POST['link']."', '".$_POST['title']."', '".$_POST['text']."', '".time()."')");
		redirect("".INFUSIONS."sliders/slider_admin.php".$aidlink."&complete=add");
	} else {
		unlink(DOWNLOADS."spl_".$image_name.$image_ext);
		redirect("".INFUSIONS."sliders/slider_admin.php".$aidlink."&error=".$error);
	}

// Delete slider
} elseif(isset($_GET['act']) && $_GET['act'] == "delete" && isset($_GET['id']) && isnum($_GET['id'])) {
	$data = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."sliders WHERE slide_id='".$_GET['id']."'"));
	$result = dbquery("DELETE FROM ".DB_PREFIX."sliders WHERE slide_id='".$_GET['id']."'");
	if($result) {
		unlink(DOWNLOADS.$data['slide_image']);
		redirect("".INFUSIONS."sliders/slider_admin.php".$aidlink."&complete=delete");
	} else {
		redirect("".INFUSIONS."sliders/slider_admin.php".$aidlink."&error=4");
	}

// Add form slider
} elseif(isset($_GET['act']) && $_GET['act'] == "add") {
	opentable($locale['spl_010']);

		echo "<form action='".INFUSIONS."sliders/slider_admin.php".$aidlink."' method='POST' enctype='multipart/form-data'>\n";
		
		echo "<table width='500px' align='center' class='tbl-border'>\n";

		echo "<tr class='tbl1'>\n\t";
		echo "<td width='200px'><b>".$locale['spl_015']."</b></td>\n";
		echo "<td><input type='text' name='title' class='textbox'></td>\n";
		echo "</tr>\n";

		echo "<tr class='tbl2'>\n\t";
		echo "<td width='200px'><b>".$locale['spl_016']."</b></td>\n";
		echo "<td><input type='text' name='text' class='textbox'></td>\n";
		echo "</tr>\n";

		echo "<tr class='tbl1'>\n\t";
		echo "<td width='200px'><b>".$locale['spl_017']."</b></td>\n";
		echo "<td><input type='text' name='link' class='textbox'></td>\n";
		echo "</tr>\n";

		echo "<tr class='tbl2'>\n\t";
		echo "<td width='200px'><b>".$locale['spl_018']."</b></td>\n";
		echo "<td><input type='file' name='filename' class='textbox'></td>\n";
		echo "</tr>\n";

		echo "<tr class='tbl2'>\n\t";
		echo "<td colspan='2' style='text-align: center;'><input type='submit' name='slider' value='".$locale['spl_019']."' class='button'>\n";
		echo "<a href='".INFUSIONS."sliders/slider_admin.php".$aidlink."' style='text-decoration: none;'><input type='button' value='".$locale['spl_021']."' class='button'></a>\n";
		echo "</tr>\n";

		echo "</table>";

		echo "</form>\n";

	closetable();

// View slider
} else {
	opentable($locale['spl_001']);
		
		echo "<span style='float: right;'>\n";
		echo "<a href='".INFUSIONS."sliders/slider_admin.php".$aidlink."&act=add' style='text-decoration: none;'><input type='button' value='".$locale['spl_005']."' class='button'></a>\n";
		echo "</span>\n";

		echo "<table width='500px' align='center' style='padding-top:20px;'>\n";
		$count_slide = 0;
		$result = dbquery("SELECT * FROM ".DB_PREFIX."sliders ORDER BY slide_date ASC");
		while($data = dbarray($result)) {
			echo "<tr>\n\t";
			echo "<td>".$data['slide_title']."</td>\n";
			echo "<td><a href='".INFUSIONS."sliders/slider_admin.php".$aidlink."&act=delete&id=".$data['slide_id']."' style='text-decoration: none;'><input type='button' value='".$locale['spl_006']."' class='button'></a></td>\n";
			echo "</tr>\n";
			$count_slide++;
		}

		if($count_slide == 0) {
			echo "<tr>\n\t";
			echo "<td colspan='2'>".$locale['spl_002']."</td>\n";
			echo "</tr>\n";
		}

		echo "</table>";
		

	closetable();
}

require_once THEMES."templates/footer.php";

?>
